Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000519Frama-CKernelpublic2010-06-25 12:282014-02-12 16:55
Reporterpascal 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000519: int t[static 2] is not supported as function argument
DescriptionThe C99 feature allowing to declare arrays in function arguments is not supported by the parser.

To reproduce:
~/ppc $ cat p.c
void f(int t[static 2]);
~/ppc $ cat t.c
void f(int t[static 2])
{
  return;
}
~/ppc $ bin/toplevel.opt t.c
[kernel] preprocessing with "gcc -C -E -I. t.c"
t.c:1:[kernel] user error: syntax error
[kernel] user error: skipping file "t.c" that has errors.
[kernel] Frama-C aborted because of an invalid user input.
~/ppc $ bin/toplevel.opt p.c
[kernel] preprocessing with "gcc -C -E -I. p.c"
p.c:1:[kernel] user error: syntax error
[kernel] user error: skipping file "p.c" that has errors.
[kernel] Frama-C aborted because of an invalid user input.
~/ppc $
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-06-25 12:28 pascal New Issue
2010-07-01 09:33 virgile Assigned To => virgile
2010-07-01 09:33 virgile Status new => acknowledged
2010-07-01 18:13 svn Checkin
2010-07-01 18:13 svn Status acknowledged => resolved
2010-07-01 18:13 svn Resolution open => fixed
2010-12-10 15:45 signoles Fixed in Version => Frama-C Carbon-20101201-beta1
2010-12-17 19:36 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker